/* gui.cmdline.h */

/* File autogenerated by gengetopt version 2.15  */

#ifndef GUI_CMDLINE_H
#define GUI_CMDLINE_H

/* If we use autoconf.  */
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#ifndef CMDLINE_PARSER_PACKAGE
#define CMDLINE_PARSER_PACKAGE "para_gui"
#endif

#ifndef CMDLINE_PARSER_VERSION
#define CMDLINE_PARSER_VERSION "(paraslash 0.2.9, progressive turbulence)\nCopyright (c) 1997-2006 by Andre Noll\nThis is free software with ABSOLUTELY NO WARRANTY. See COPYING for details."
#endif

struct gengetopt_args_info
{
  int auto_decode_flag;	/* auto-decode audio stream (default=on).  */
  char * config_file_arg;	/* (default='~/.paraslash/gui.conf').  */
  char * config_file_orig;	/* (default='~/.paraslash/gui.conf') original value given at command line.  */
  int loglevel_arg;	/* set loglevel (0-6) (default='4').  */
  char * loglevel_orig;	/* set loglevel (0-6) original value given at command line.  */
  int timeout_arg;	/* set timeout (default='300').  */
  char * timeout_orig;	/* set timeout original value given at command line.  */
  char * stat_cmd_arg;	/* command to read server and audiod status data from (default='para_audioc -t 100 stat').  */
  char * stat_cmd_orig;	/* command to read server and audiod status data from original value given at command line.  */
  char ** key_map_arg;	/* Map key k to command c using mode m. Mode may be d, x or p for display, external and paraslash commands, respectively. Of course, this option may be given multiple times, one for each key mapping..  */
  char ** key_map_orig;	/* Map key k to command c using mode m. Mode may be d, x or p for display, external and paraslash commands, respectively. Of course, this option may be given multiple times, one for each key mapping. original value given at command line.  */
  
  int help_given ;	/* Whether help was given.  */
  int version_given ;	/* Whether version was given.  */
  int auto_decode_given ;	/* Whether auto_decode was given.  */
  int config_file_given ;	/* Whether config_file was given.  */
  int loglevel_given ;	/* Whether loglevel was given.  */
  int timeout_given ;	/* Whether timeout was given.  */
  int stat_cmd_given ;	/* Whether stat_cmd was given.  */
  unsigned int key_map_given ;	/* Whether key_map was given.  */

} ;

int cmdline_parser (int argc, char * const *argv, struct gengetopt_args_info *args_info);
int cmdline_parser2 (int argc, char * const *argv, struct gengetopt_args_info *args_info, int override, int initialize, int check_required);
int cmdline_parser_file_save(const char *filename, struct gengetopt_args_info *args_info);

void cmdline_parser_print_help(void);
void cmdline_parser_print_version(void);

void cmdline_parser_init (struct gengetopt_args_info *args_info);
void cmdline_parser_free (struct gengetopt_args_info *args_info);

int cmdline_parser_configfile (char * const filename, struct gengetopt_args_info *args_info, int override, int initialize, int check_required);

int cmdline_parser_required (struct gengetopt_args_info *args_info, const char *prog_name);


#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* GUI_CMDLINE_H */
